package navigation

import "github.com/vugu/vugu"

type Sidebar struct {
	AttrMap vugu.AttrMap

	MenuEntries   vugu.Builder // Menu content at the top. Either embedded into the sidebar or at the top edge.
	Entries       vugu.Builder // Main content of the sidebar.
	BottomEntries vugu.Builder // Static bottom part of the sidebar.
	Body          vugu.Builder // The body contains the content that is right to or behind the sidebar.

	Minimized      bool // If true, the sidebar is reduced to icons.
	sidebarClasses string
}

func (c *Sidebar) Init(ctx vugu.InitCtx) {
	c.Minimized = true // Sidebar defaults to minimized.
}

func (c *Sidebar) Compute(ctx vugu.ComputeCtx) {
	if c.Minimized {
		c.sidebarClasses = "d3c-1633357633-sidebar-minimized"
	} else {
		c.sidebarClasses = ""
	}
}

func (c *Sidebar) handleMenuButton(event vugu.DOMEvent) {
	c.Minimized = !c.Minimized
}
